# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: artemis/api/artemis.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from artemis.api import external_feed_pb2 as artemis_dot_api_dot_external__feed__pb2
from weclikd.common import follow_pb2 as weclikd_dot_common_dot_follow__pb2
from weclikd.common import filter_pb2 as weclikd_dot_common_dot_filter__pb2
from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='artemis/api/artemis.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x19\x61rtemis/api/artemis.proto\x12\x07weclikd\x1a\x1f\x61rtemis/api/external_feed.proto\x1a\x1bweclikd/common/follow.proto\x1a\x1bweclikd/common/filter.proto\x1a\x1fgoogle/protobuf/timestamp.proto\"\xdd\x01\n\x16\x41\x64\x64\x45xternalFeedRequest\x12\x0c\n\x04name\x18\x01 \x01(\t\x12.\n\x04type\x18\x02 \x01(\x0e\x32 .weclikd.ExternalFeedSource.Type\x12\x0b\n\x03url\x18\x03 \x01(\t\x12\x0f\n\x07website\x18\x04 \x01(\t\x12\x10\n\x08icon_url\x18\x05 \x01(\t\x12\x12\n\nbase_topic\x18\x06 \x01(\t\x12\x41\n\x0esummary_source\x18\x07 \x01(\x0e\x32).weclikd.ExternalFeedSource.SummarySource\"D\n\x17\x41\x64\x64\x45xternalFeedResponse\x12)\n\x04\x66\x65\x65\x64\x18\x01 \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\"\xe2\x01\n\x17\x45\x64itExternalFeedRequest\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x04\x12\x0c\n\x04name\x18\x02 \x01(\t\x12.\n\x04type\x18\x03 \x01(\x0e\x32 .weclikd.ExternalFeedSource.Type\x12\x0f\n\x07website\x18\x04 \x01(\t\x12\x10\n\x08icon_url\x18\x05 \x01(\t\x12\x12\n\nbase_topic\x18\x06 \x01(\t\x12\x41\n\x0esummary_source\x18\x07 \x01(\x0e\x32).weclikd.ExternalFeedSource.SummarySource\"E\n\x18\x45\x64itExternalFeedResponse\x12)\n\x04\x66\x65\x65\x64\x18\x01 \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\"V\n\x17TestExternalFeedRequest\x12.\n\x04type\x18\x01 \x01(\x0e\x32 .weclikd.ExternalFeedSource.Type\x12\x0b\n\x03url\x18\x02 \x01(\t\"E\n\x18TestExternalFeedResponse\x12)\n\x04\x66\x65\x65\x64\x18\x01 \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\",\n\x19RemoveExternalFeedRequest\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x04\"G\n\x1aRemoveExternalFeedResponse\x12)\n\x04\x66\x65\x65\x64\x18\x01 \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\"7\n\x0fGetFeedsRequest\x12\x10\n\x08\x66\x65\x65\x64_ids\x18\x01 \x03(\x04\x12\x12\n\nfeed_names\x18\x02 \x03(\t\">\n\x10GetFeedsResponse\x12*\n\x05\x66\x65\x65\x64s\x18\x01 \x03(\x0b\x32\x1b.weclikd.ExternalFeedSource\"\x1c\n\rUnfurlRequest\x12\x0b\n\x03url\x18\x01 \x01(\t\"}\n\x0eUnfurlResponse\x12\r\n\x05title\x18\x01 \x01(\t\x12\x0f\n\x07summary\x18\x02 \x01(\t\x12\x15\n\rthumbnail_url\x18\x03 \x01(\t\x12\x1c\n\x14thumbnail_picture_id\x18\x04 \x01(\x04\x12\x16\n\x0enormalized_url\x18\x05 \x01(\t\"#\n\x14\x44ownloadImageRequest\x12\x0b\n\x03url\x18\x01 \x01(\t\")\n\x15\x44ownloadImageResponse\x12\x10\n\x08image_id\x18\x01 \x01(\x04\"O\n\x11\x46ollowFeedRequest\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x04\x12)\n\x08settings\x18\x02 \x01(\x0b\x32\x17.weclikd.FollowSettings\"%\n\x12\x46ollowFeedResponse\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x04\"&\n\x13UnfollowFeedRequest\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x04\"\'\n\x14UnfollowFeedResponse\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x04\"\x91\x01\n\x0c\x46ollowedFeed\x12)\n\x04\x66\x65\x65\x64\x18\x01 \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\x12)\n\x08settings\x18\x02 \x01(\x0b\x32\x17.weclikd.FollowSettings\x12+\n\x07\x63reated\x18\x03 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\"\x19\n\x17GetFeedsFollowedRequest\"I\n\x18GetFeedsFollowedResponse\x12-\n\x0e\x66ollowed_feeds\x18\x01 \x03(\x0b\x32\x15.weclikd.FollowedFeed\"D\n\x1aGetAllExternalFeedsRequest\x12&\n\x06\x66ilter\x18\x01 \x01(\x0b\x32\x16.weclikd.DefaultFilter\"]\n\x1bGetAllExternalFeedsResponse\x12*\n\x05\x66\x65\x65\x64s\x18\x01 \x03(\x0b\x32\x1b.weclikd.ExternalFeedSource\x12\x12\n\nend_cursor\x18\x02 \x01(\t2\xa1\x07\n\x07\x41rtemis\x12V\n\x0f\x41\x64\x64\x45xternalFeed\x12\x1f.weclikd.AddExternalFeedRequest\x1a .weclikd.AddExternalFeedResponse\"\x00\x12Y\n\x10\x45\x64itExternalFeed\x12 .weclikd.EditExternalFeedRequest\x1a!.weclikd.EditExternalFeedResponse\"\x00\x12Y\n\x10TestExternalFeed\x12 .weclikd.TestExternalFeedRequest\x1a!.weclikd.TestExternalFeedResponse\"\x00\x12_\n\x12RemoveExternalFeed\x12\".weclikd.RemoveExternalFeedRequest\x1a#.weclikd.RemoveExternalFeedResponse\"\x00\x12\x41\n\x08GetFeeds\x12\x18.weclikd.GetFeedsRequest\x1a\x19.weclikd.GetFeedsResponse\"\x00\x12;\n\x06Unfurl\x12\x16.weclikd.UnfurlRequest\x1a\x17.weclikd.UnfurlResponse\"\x00\x12P\n\rDownloadImage\x12\x1d.weclikd.DownloadImageRequest\x1a\x1e.weclikd.DownloadImageResponse\"\x00\x12G\n\nFollowFeed\x12\x1a.weclikd.FollowFeedRequest\x1a\x1b.weclikd.FollowFeedResponse\"\x00\x12M\n\x0cUnfollowFeed\x12\x1c.weclikd.UnfollowFeedRequest\x1a\x1d.weclikd.UnfollowFeedResponse\"\x00\x12Y\n\x10GetFeedsFollowed\x12 .weclikd.GetFeedsFollowedRequest\x1a!.weclikd.GetFeedsFollowedResponse\"\x00\x12\x62\n\x13GetAllExternalFeeds\x12#.weclikd.GetAllExternalFeedsRequest\x1a$.weclikd.GetAllExternalFeedsResponse\"\x00\x62\x06proto3'
  ,
  dependencies=[artemis_dot_api_dot_external__feed__pb2.DESCRIPTOR,weclikd_dot_common_dot_follow__pb2.DESCRIPTOR,weclikd_dot_common_dot_filter__pb2.DESCRIPTOR,google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,])




_ADDEXTERNALFEEDREQUEST = _descriptor.Descriptor(
  name='AddExternalFeedRequest',
  full_name='weclikd.AddExternalFeedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='name', full_name='weclikd.AddExternalFeedRequest.name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.AddExternalFeedRequest.type', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.AddExternalFeedRequest.url', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='website', full_name='weclikd.AddExternalFeedRequest.website', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='icon_url', full_name='weclikd.AddExternalFeedRequest.icon_url', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='base_topic', full_name='weclikd.AddExternalFeedRequest.base_topic', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary_source', full_name='weclikd.AddExternalFeedRequest.summary_source', index=6,
      number=7, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=163,
  serialized_end=384,
)


_ADDEXTERNALFEEDRESPONSE = _descriptor.Descriptor(
  name='AddExternalFeedResponse',
  full_name='weclikd.AddExternalFeedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed', full_name='weclikd.AddExternalFeedResponse.feed', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=386,
  serialized_end=454,
)


_EDITEXTERNALFEEDREQUEST = _descriptor.Descriptor(
  name='EditExternalFeedRequest',
  full_name='weclikd.EditExternalFeedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.EditExternalFeedRequest.feed_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='name', full_name='weclikd.EditExternalFeedRequest.name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.EditExternalFeedRequest.type', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='website', full_name='weclikd.EditExternalFeedRequest.website', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='icon_url', full_name='weclikd.EditExternalFeedRequest.icon_url', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='base_topic', full_name='weclikd.EditExternalFeedRequest.base_topic', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary_source', full_name='weclikd.EditExternalFeedRequest.summary_source', index=6,
      number=7, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=457,
  serialized_end=683,
)


_EDITEXTERNALFEEDRESPONSE = _descriptor.Descriptor(
  name='EditExternalFeedResponse',
  full_name='weclikd.EditExternalFeedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed', full_name='weclikd.EditExternalFeedResponse.feed', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=685,
  serialized_end=754,
)


_TESTEXTERNALFEEDREQUEST = _descriptor.Descriptor(
  name='TestExternalFeedRequest',
  full_name='weclikd.TestExternalFeedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.TestExternalFeedRequest.type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.TestExternalFeedRequest.url', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=756,
  serialized_end=842,
)


_TESTEXTERNALFEEDRESPONSE = _descriptor.Descriptor(
  name='TestExternalFeedResponse',
  full_name='weclikd.TestExternalFeedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed', full_name='weclikd.TestExternalFeedResponse.feed', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=844,
  serialized_end=913,
)


_REMOVEEXTERNALFEEDREQUEST = _descriptor.Descriptor(
  name='RemoveExternalFeedRequest',
  full_name='weclikd.RemoveExternalFeedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.RemoveExternalFeedRequest.feed_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=915,
  serialized_end=959,
)


_REMOVEEXTERNALFEEDRESPONSE = _descriptor.Descriptor(
  name='RemoveExternalFeedResponse',
  full_name='weclikd.RemoveExternalFeedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed', full_name='weclikd.RemoveExternalFeedResponse.feed', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=961,
  serialized_end=1032,
)


_GETFEEDSREQUEST = _descriptor.Descriptor(
  name='GetFeedsRequest',
  full_name='weclikd.GetFeedsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_ids', full_name='weclikd.GetFeedsRequest.feed_ids', index=0,
      number=1, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='feed_names', full_name='weclikd.GetFeedsRequest.feed_names', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1034,
  serialized_end=1089,
)


_GETFEEDSRESPONSE = _descriptor.Descriptor(
  name='GetFeedsResponse',
  full_name='weclikd.GetFeedsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feeds', full_name='weclikd.GetFeedsResponse.feeds', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1091,
  serialized_end=1153,
)


_UNFURLREQUEST = _descriptor.Descriptor(
  name='UnfurlRequest',
  full_name='weclikd.UnfurlRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.UnfurlRequest.url', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1155,
  serialized_end=1183,
)


_UNFURLRESPONSE = _descriptor.Descriptor(
  name='UnfurlResponse',
  full_name='weclikd.UnfurlResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='title', full_name='weclikd.UnfurlResponse.title', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary', full_name='weclikd.UnfurlResponse.summary', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='thumbnail_url', full_name='weclikd.UnfurlResponse.thumbnail_url', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='thumbnail_picture_id', full_name='weclikd.UnfurlResponse.thumbnail_picture_id', index=3,
      number=4, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='normalized_url', full_name='weclikd.UnfurlResponse.normalized_url', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1185,
  serialized_end=1310,
)


_DOWNLOADIMAGEREQUEST = _descriptor.Descriptor(
  name='DownloadImageRequest',
  full_name='weclikd.DownloadImageRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.DownloadImageRequest.url', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1312,
  serialized_end=1347,
)


_DOWNLOADIMAGERESPONSE = _descriptor.Descriptor(
  name='DownloadImageResponse',
  full_name='weclikd.DownloadImageResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='image_id', full_name='weclikd.DownloadImageResponse.image_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1349,
  serialized_end=1390,
)


_FOLLOWFEEDREQUEST = _descriptor.Descriptor(
  name='FollowFeedRequest',
  full_name='weclikd.FollowFeedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.FollowFeedRequest.feed_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.FollowFeedRequest.settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1392,
  serialized_end=1471,
)


_FOLLOWFEEDRESPONSE = _descriptor.Descriptor(
  name='FollowFeedResponse',
  full_name='weclikd.FollowFeedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.FollowFeedResponse.feed_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1473,
  serialized_end=1510,
)


_UNFOLLOWFEEDREQUEST = _descriptor.Descriptor(
  name='UnfollowFeedRequest',
  full_name='weclikd.UnfollowFeedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.UnfollowFeedRequest.feed_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1512,
  serialized_end=1550,
)


_UNFOLLOWFEEDRESPONSE = _descriptor.Descriptor(
  name='UnfollowFeedResponse',
  full_name='weclikd.UnfollowFeedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.UnfollowFeedResponse.feed_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1552,
  serialized_end=1591,
)


_FOLLOWEDFEED = _descriptor.Descriptor(
  name='FollowedFeed',
  full_name='weclikd.FollowedFeed',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed', full_name='weclikd.FollowedFeed.feed', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.FollowedFeed.settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.FollowedFeed.created', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1594,
  serialized_end=1739,
)


_GETFEEDSFOLLOWEDREQUEST = _descriptor.Descriptor(
  name='GetFeedsFollowedRequest',
  full_name='weclikd.GetFeedsFollowedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1741,
  serialized_end=1766,
)


_GETFEEDSFOLLOWEDRESPONSE = _descriptor.Descriptor(
  name='GetFeedsFollowedResponse',
  full_name='weclikd.GetFeedsFollowedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='followed_feeds', full_name='weclikd.GetFeedsFollowedResponse.followed_feeds', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1768,
  serialized_end=1841,
)


_GETALLEXTERNALFEEDSREQUEST = _descriptor.Descriptor(
  name='GetAllExternalFeedsRequest',
  full_name='weclikd.GetAllExternalFeedsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='filter', full_name='weclikd.GetAllExternalFeedsRequest.filter', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1843,
  serialized_end=1911,
)


_GETALLEXTERNALFEEDSRESPONSE = _descriptor.Descriptor(
  name='GetAllExternalFeedsResponse',
  full_name='weclikd.GetAllExternalFeedsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feeds', full_name='weclikd.GetAllExternalFeedsResponse.feeds', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='end_cursor', full_name='weclikd.GetAllExternalFeedsResponse.end_cursor', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1913,
  serialized_end=2006,
)

_ADDEXTERNALFEEDREQUEST.fields_by_name['type'].enum_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE_TYPE
_ADDEXTERNALFEEDREQUEST.fields_by_name['summary_source'].enum_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE_SUMMARYSOURCE
_ADDEXTERNALFEEDRESPONSE.fields_by_name['feed'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_EDITEXTERNALFEEDREQUEST.fields_by_name['type'].enum_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE_TYPE
_EDITEXTERNALFEEDREQUEST.fields_by_name['summary_source'].enum_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE_SUMMARYSOURCE
_EDITEXTERNALFEEDRESPONSE.fields_by_name['feed'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_TESTEXTERNALFEEDREQUEST.fields_by_name['type'].enum_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE_TYPE
_TESTEXTERNALFEEDRESPONSE.fields_by_name['feed'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_REMOVEEXTERNALFEEDRESPONSE.fields_by_name['feed'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_GETFEEDSRESPONSE.fields_by_name['feeds'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_FOLLOWFEEDREQUEST.fields_by_name['settings'].message_type = weclikd_dot_common_dot_follow__pb2._FOLLOWSETTINGS
_FOLLOWEDFEED.fields_by_name['feed'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_FOLLOWEDFEED.fields_by_name['settings'].message_type = weclikd_dot_common_dot_follow__pb2._FOLLOWSETTINGS
_FOLLOWEDFEED.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_GETFEEDSFOLLOWEDRESPONSE.fields_by_name['followed_feeds'].message_type = _FOLLOWEDFEED
_GETALLEXTERNALFEEDSREQUEST.fields_by_name['filter'].message_type = weclikd_dot_common_dot_filter__pb2._DEFAULTFILTER
_GETALLEXTERNALFEEDSRESPONSE.fields_by_name['feeds'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
DESCRIPTOR.message_types_by_name['AddExternalFeedRequest'] = _ADDEXTERNALFEEDREQUEST
DESCRIPTOR.message_types_by_name['AddExternalFeedResponse'] = _ADDEXTERNALFEEDRESPONSE
DESCRIPTOR.message_types_by_name['EditExternalFeedRequest'] = _EDITEXTERNALFEEDREQUEST
DESCRIPTOR.message_types_by_name['EditExternalFeedResponse'] = _EDITEXTERNALFEEDRESPONSE
DESCRIPTOR.message_types_by_name['TestExternalFeedRequest'] = _TESTEXTERNALFEEDREQUEST
DESCRIPTOR.message_types_by_name['TestExternalFeedResponse'] = _TESTEXTERNALFEEDRESPONSE
DESCRIPTOR.message_types_by_name['RemoveExternalFeedRequest'] = _REMOVEEXTERNALFEEDREQUEST
DESCRIPTOR.message_types_by_name['RemoveExternalFeedResponse'] = _REMOVEEXTERNALFEEDRESPONSE
DESCRIPTOR.message_types_by_name['GetFeedsRequest'] = _GETFEEDSREQUEST
DESCRIPTOR.message_types_by_name['GetFeedsResponse'] = _GETFEEDSRESPONSE
DESCRIPTOR.message_types_by_name['UnfurlRequest'] = _UNFURLREQUEST
DESCRIPTOR.message_types_by_name['UnfurlResponse'] = _UNFURLRESPONSE
DESCRIPTOR.message_types_by_name['DownloadImageRequest'] = _DOWNLOADIMAGEREQUEST
DESCRIPTOR.message_types_by_name['DownloadImageResponse'] = _DOWNLOADIMAGERESPONSE
DESCRIPTOR.message_types_by_name['FollowFeedRequest'] = _FOLLOWFEEDREQUEST
DESCRIPTOR.message_types_by_name['FollowFeedResponse'] = _FOLLOWFEEDRESPONSE
DESCRIPTOR.message_types_by_name['UnfollowFeedRequest'] = _UNFOLLOWFEEDREQUEST
DESCRIPTOR.message_types_by_name['UnfollowFeedResponse'] = _UNFOLLOWFEEDRESPONSE
DESCRIPTOR.message_types_by_name['FollowedFeed'] = _FOLLOWEDFEED
DESCRIPTOR.message_types_by_name['GetFeedsFollowedRequest'] = _GETFEEDSFOLLOWEDREQUEST
DESCRIPTOR.message_types_by_name['GetFeedsFollowedResponse'] = _GETFEEDSFOLLOWEDRESPONSE
DESCRIPTOR.message_types_by_name['GetAllExternalFeedsRequest'] = _GETALLEXTERNALFEEDSREQUEST
DESCRIPTOR.message_types_by_name['GetAllExternalFeedsResponse'] = _GETALLEXTERNALFEEDSRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

AddExternalFeedRequest = _reflection.GeneratedProtocolMessageType('AddExternalFeedRequest', (_message.Message,), {
  'DESCRIPTOR' : _ADDEXTERNALFEEDREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.AddExternalFeedRequest)
  })
_sym_db.RegisterMessage(AddExternalFeedRequest)

AddExternalFeedResponse = _reflection.GeneratedProtocolMessageType('AddExternalFeedResponse', (_message.Message,), {
  'DESCRIPTOR' : _ADDEXTERNALFEEDRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.AddExternalFeedResponse)
  })
_sym_db.RegisterMessage(AddExternalFeedResponse)

EditExternalFeedRequest = _reflection.GeneratedProtocolMessageType('EditExternalFeedRequest', (_message.Message,), {
  'DESCRIPTOR' : _EDITEXTERNALFEEDREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditExternalFeedRequest)
  })
_sym_db.RegisterMessage(EditExternalFeedRequest)

EditExternalFeedResponse = _reflection.GeneratedProtocolMessageType('EditExternalFeedResponse', (_message.Message,), {
  'DESCRIPTOR' : _EDITEXTERNALFEEDRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditExternalFeedResponse)
  })
_sym_db.RegisterMessage(EditExternalFeedResponse)

TestExternalFeedRequest = _reflection.GeneratedProtocolMessageType('TestExternalFeedRequest', (_message.Message,), {
  'DESCRIPTOR' : _TESTEXTERNALFEEDREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.TestExternalFeedRequest)
  })
_sym_db.RegisterMessage(TestExternalFeedRequest)

TestExternalFeedResponse = _reflection.GeneratedProtocolMessageType('TestExternalFeedResponse', (_message.Message,), {
  'DESCRIPTOR' : _TESTEXTERNALFEEDRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.TestExternalFeedResponse)
  })
_sym_db.RegisterMessage(TestExternalFeedResponse)

RemoveExternalFeedRequest = _reflection.GeneratedProtocolMessageType('RemoveExternalFeedRequest', (_message.Message,), {
  'DESCRIPTOR' : _REMOVEEXTERNALFEEDREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.RemoveExternalFeedRequest)
  })
_sym_db.RegisterMessage(RemoveExternalFeedRequest)

RemoveExternalFeedResponse = _reflection.GeneratedProtocolMessageType('RemoveExternalFeedResponse', (_message.Message,), {
  'DESCRIPTOR' : _REMOVEEXTERNALFEEDRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.RemoveExternalFeedResponse)
  })
_sym_db.RegisterMessage(RemoveExternalFeedResponse)

GetFeedsRequest = _reflection.GeneratedProtocolMessageType('GetFeedsRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETFEEDSREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetFeedsRequest)
  })
_sym_db.RegisterMessage(GetFeedsRequest)

GetFeedsResponse = _reflection.GeneratedProtocolMessageType('GetFeedsResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETFEEDSRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetFeedsResponse)
  })
_sym_db.RegisterMessage(GetFeedsResponse)

UnfurlRequest = _reflection.GeneratedProtocolMessageType('UnfurlRequest', (_message.Message,), {
  'DESCRIPTOR' : _UNFURLREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfurlRequest)
  })
_sym_db.RegisterMessage(UnfurlRequest)

UnfurlResponse = _reflection.GeneratedProtocolMessageType('UnfurlResponse', (_message.Message,), {
  'DESCRIPTOR' : _UNFURLRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfurlResponse)
  })
_sym_db.RegisterMessage(UnfurlResponse)

DownloadImageRequest = _reflection.GeneratedProtocolMessageType('DownloadImageRequest', (_message.Message,), {
  'DESCRIPTOR' : _DOWNLOADIMAGEREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DownloadImageRequest)
  })
_sym_db.RegisterMessage(DownloadImageRequest)

DownloadImageResponse = _reflection.GeneratedProtocolMessageType('DownloadImageResponse', (_message.Message,), {
  'DESCRIPTOR' : _DOWNLOADIMAGERESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DownloadImageResponse)
  })
_sym_db.RegisterMessage(DownloadImageResponse)

FollowFeedRequest = _reflection.GeneratedProtocolMessageType('FollowFeedRequest', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWFEEDREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowFeedRequest)
  })
_sym_db.RegisterMessage(FollowFeedRequest)

FollowFeedResponse = _reflection.GeneratedProtocolMessageType('FollowFeedResponse', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWFEEDRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowFeedResponse)
  })
_sym_db.RegisterMessage(FollowFeedResponse)

UnfollowFeedRequest = _reflection.GeneratedProtocolMessageType('UnfollowFeedRequest', (_message.Message,), {
  'DESCRIPTOR' : _UNFOLLOWFEEDREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfollowFeedRequest)
  })
_sym_db.RegisterMessage(UnfollowFeedRequest)

UnfollowFeedResponse = _reflection.GeneratedProtocolMessageType('UnfollowFeedResponse', (_message.Message,), {
  'DESCRIPTOR' : _UNFOLLOWFEEDRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfollowFeedResponse)
  })
_sym_db.RegisterMessage(UnfollowFeedResponse)

FollowedFeed = _reflection.GeneratedProtocolMessageType('FollowedFeed', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWEDFEED,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowedFeed)
  })
_sym_db.RegisterMessage(FollowedFeed)

GetFeedsFollowedRequest = _reflection.GeneratedProtocolMessageType('GetFeedsFollowedRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETFEEDSFOLLOWEDREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetFeedsFollowedRequest)
  })
_sym_db.RegisterMessage(GetFeedsFollowedRequest)

GetFeedsFollowedResponse = _reflection.GeneratedProtocolMessageType('GetFeedsFollowedResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETFEEDSFOLLOWEDRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetFeedsFollowedResponse)
  })
_sym_db.RegisterMessage(GetFeedsFollowedResponse)

GetAllExternalFeedsRequest = _reflection.GeneratedProtocolMessageType('GetAllExternalFeedsRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETALLEXTERNALFEEDSREQUEST,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAllExternalFeedsRequest)
  })
_sym_db.RegisterMessage(GetAllExternalFeedsRequest)

GetAllExternalFeedsResponse = _reflection.GeneratedProtocolMessageType('GetAllExternalFeedsResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETALLEXTERNALFEEDSRESPONSE,
  '__module__' : 'artemis.api.artemis_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAllExternalFeedsResponse)
  })
_sym_db.RegisterMessage(GetAllExternalFeedsResponse)



_ARTEMIS = _descriptor.ServiceDescriptor(
  name='Artemis',
  full_name='weclikd.Artemis',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=2009,
  serialized_end=2938,
  methods=[
  _descriptor.MethodDescriptor(
    name='AddExternalFeed',
    full_name='weclikd.Artemis.AddExternalFeed',
    index=0,
    containing_service=None,
    input_type=_ADDEXTERNALFEEDREQUEST,
    output_type=_ADDEXTERNALFEEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='EditExternalFeed',
    full_name='weclikd.Artemis.EditExternalFeed',
    index=1,
    containing_service=None,
    input_type=_EDITEXTERNALFEEDREQUEST,
    output_type=_EDITEXTERNALFEEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='TestExternalFeed',
    full_name='weclikd.Artemis.TestExternalFeed',
    index=2,
    containing_service=None,
    input_type=_TESTEXTERNALFEEDREQUEST,
    output_type=_TESTEXTERNALFEEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='RemoveExternalFeed',
    full_name='weclikd.Artemis.RemoveExternalFeed',
    index=3,
    containing_service=None,
    input_type=_REMOVEEXTERNALFEEDREQUEST,
    output_type=_REMOVEEXTERNALFEEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetFeeds',
    full_name='weclikd.Artemis.GetFeeds',
    index=4,
    containing_service=None,
    input_type=_GETFEEDSREQUEST,
    output_type=_GETFEEDSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='Unfurl',
    full_name='weclikd.Artemis.Unfurl',
    index=5,
    containing_service=None,
    input_type=_UNFURLREQUEST,
    output_type=_UNFURLRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='DownloadImage',
    full_name='weclikd.Artemis.DownloadImage',
    index=6,
    containing_service=None,
    input_type=_DOWNLOADIMAGEREQUEST,
    output_type=_DOWNLOADIMAGERESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='FollowFeed',
    full_name='weclikd.Artemis.FollowFeed',
    index=7,
    containing_service=None,
    input_type=_FOLLOWFEEDREQUEST,
    output_type=_FOLLOWFEEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='UnfollowFeed',
    full_name='weclikd.Artemis.UnfollowFeed',
    index=8,
    containing_service=None,
    input_type=_UNFOLLOWFEEDREQUEST,
    output_type=_UNFOLLOWFEEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetFeedsFollowed',
    full_name='weclikd.Artemis.GetFeedsFollowed',
    index=9,
    containing_service=None,
    input_type=_GETFEEDSFOLLOWEDREQUEST,
    output_type=_GETFEEDSFOLLOWEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAllExternalFeeds',
    full_name='weclikd.Artemis.GetAllExternalFeeds',
    index=10,
    containing_service=None,
    input_type=_GETALLEXTERNALFEEDSREQUEST,
    output_type=_GETALLEXTERNALFEEDSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_ARTEMIS)

DESCRIPTOR.services_by_name['Artemis'] = _ARTEMIS

# @@protoc_insertion_point(module_scope)
